#!/bin/sh

protocol=gemini

cd /home
for user in *
do
 if [ -e "$user/.dillo/dpidrc" ]
 then
  if ! grep -q proto.$protocol "$user/.dillo/dpidrc"
  then
   echo "proto.$protocol=$protocol/$protocol.filter.dpi" >> "$user/.dillo/dpidrc"
  fi
 else
  if [ -r "/usr/local/etc/dillo/dpidrc" ]
  then
   sudo -u "$user" mkdir -p "$user/.dillo"
   sudo -u "$user" cp /usr/local/etc/dillo/dpidrc "$user/.dillo/"
   echo "proto.$protocol=$protocol/$protocol.filter.dpi" >> "$user/.dillo/dpidrc"
  else
   echo "Couldn't read default dpidrc file at /usr/local/etc/dillo/dpidrc. Dillo extension should be loaded before this one."
  fi
 fi

 if [ ! -e "$user/.ssb/blobs/tmp" ]
 then
  mkdir -m g+rwx,o-rwx -p /tmp/ssb/blobs
  chgrp staff /tmp/ssb/blobs
  sudo -u "$user" mkdir -p "$user/.ssb/blobs"
  ln -s "/tmp/ssb/blobs" "$user/.ssb/blobs/tmp"
 fi
done
